====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-01-13  Levente Mészáros

	Added AP info to L2 associated signal.

2017-02-20  ------ inet-3.5.0 released ------

2017-01-15  xiabin

	typo: s/wirless/wireless

2016-10-20  Rudolf Hornig

	Refactoring: removed compatibility macros required for OMNeT++ 4.x builds
	+ warning fixes

2016-06-15  ------ inet-3.4.0 released ------

2016-06-01  ------ inet-3.3.0 released ------

2016-03-01  Zoltan Bojthe

	ieee80211mgmt: bugfix: use tid only if type==ST_DATA_WITH_QOS

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-11-05  Zoltan Bojthe

	Removed now-unused parameter frameCapacity

2015-11-27  Zoltan Bojthe

	Made the code compile with OMNeT++ 5.0b3

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-10-10  Andras Varga

	Removed queue from management modules: mgmt modules no longer serve as
	external queue for the 802.11 MAC. This may change simulation results in
	certain cases, e.g. bacause mgmt didn't support the prioritizeMulticast
	MAC option.

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2015-03-24  Zoltan Bojthe

	Fixed 802.11 mgmt packet length.

2015-02-05  Zoltan Bojthe

	Replaced getParentModule calls with module parameters.

2015-01-21  Zoltan Bojthe

	Applied C++ source code modernizer.

2014-12-16  Zoltan Bojthe

	Fixed defects found by static code analyzer (Coverity).

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2013-08-22  ------ inet-2.2.0 released ------

2013-06-19  Zoltan Bojthe

	- Ieee80211MgmtAP: fixed the undisposed object problem
	- Ieee80211Mgmt*: added lifecycle support
	- Ieee80211MgmtAP: schedule timer at initialize stage 1

2013-06-11  Zoltan Bojthe

	- 802.11: removed experimental Etx code
	- 802.11 mgmt: decapsulate() moved to specific mgmt classes from MgmtBase

2013-05-15  Alfonso Ariza Quintana - takeover from INETMANET

	- 802.11 mgmt: fix a problem with the Ieee802Ctrl sender address in ad-hoc
	  mode

2013-02-20  Andras Varga

	const fixes (in OMNeT++ 5.0, check_and_cast<> no longer silently
	discards const modifier)

2013-01-30  ------ inet-2.1.0 released ------

2012-08-07  ------ inet-2.0.0 released ------

2012-06-25  ------ inet-1.99.5 released ------

2012-03-20  ------ inet-1.99.4 released ------

2012-02-24  ------ inet-1.99.3 released ------

2012-02-21  Rudolf Hornig

	ieee802.11: removed forceRelayUnit parameter. It was used only in
	connection of DHCP in INETMANET.

	DHCP is not yet taken over so the parameter is not needed either.

2012-02-11  Rudolf Hornig

	Takeover from INETMANET @ fff5dfd

	Airtime Link Metric support added. Can be turned on by the
	airtimeLinkComputation parameter on the Radio module.

	Added default_ssid parameter for the stations. On association prefer
	the default ssid. If not specified, it picks the best AP (strongest
	signal).

	Added startingTime parameter to specify when the agent actually starts.

	Stations and APs are sending now association and disassociation
	notifications via the notification board. See src/base/NotificationConsts.h
	for constant values.

2012-01-11  Zoltan Bojthe

	Removed compatibility code for older OMNeT++ versions (INET itself
	requires OMNeT++ 4.2)

2012-01-04  Zoltan Bojthe

	Ieee80211MgmtAPBase: conversion of Ieee80211Frame to Ethernet frame:
	bugfix: expand small frames to minimum Ethernet frame length

2011-12-21  Andras Varga

	statistics revised:
	- add "max" to places where "timeavg" was present and appropriate
	- interpolationmode should be used with @statistic not with @signal
	- statistics: revised recording modes:
	  - for queue length, "histogram" replaced with "timeavg" (histogram makes no sense here)
	  - removed "stats" where "histogram" was already present (it implies "stats")
	- revised rcvdPk, sentPk, dropPk, echoedPk, dropPkByQueue, dataQueueLen
	- standardizing on lower case statistics titles
	- record packet counts in a less confusing way: as rcvdPk:count instead
	  of packetBytes(rcvdPk):count or rcvdPkBytes:count; total bytes is now
	  recorded as rcvdPk:sum(packetBytes)

2011-08-02  Zoltan Bojthe

	Ieee80211MgmtAdhocWithEtx: send 802.11 frames with SNAP header
	(contains etherType)

	Added TODO note in the code that etherType should be filled in on
	outgoing packets (missing ctrl->setEtherType(...) call)

2011-11-18  ------ INET-1.99.2 released ------

2011-09-14  Zoltan Bojthe

	bug #361: Ieee80211MgmtSTA::initialize error

	The Ieee80211MgmtSTA needs to initialize at stage 1 because
	ChannelControl initializes numChannels at stage 0.

2011-11-10  Zoltan Bojthe

	fixes for bug #190 by Alfonso Ariza Quintana: 802.11 STA nodes abort the
	simulation

	If the STA node is not associated to an AP it will send a packet with a
	invalid address to the mac and the mac will stop the simulation. It's
	necessary to modify the files Ieee80211STA.cc and Ieee80211STASimple.cc

	Copied changes from bugreport and from inetmanet.

	In Ieee80211MgmtSTA, I removed the old solution, and inserted new
	solution from manet.

2011-09-14  Zoltan Bojthe

	bug #347: fixes some compiler warnings.

2011-08-02  Andras Varga

	cosmetics

2011-07-20  Levente Meszaros

	Renamed uppergateIn to upperLayerIn and uppergateOut to upperLayerOut.

2011-08-02  Zoltan Bojthe

	fixes for cppcheck

2011-07-19  Andras Varga

	cPolymorphic -> cObject (cPolymorphic became cObject in OMNeT++ 4.0)

2011-07-18  Andras Varga

	statistics: emit pk (cPacket*) signals instead of pkBytes etc; added
	more statistics

	Utilize packetBytes() result filter in @statistic to record byte counts

2011-06-14  Rudolf Hornig

	Added some docs regarding how the access point management works in
	relation with relay units in a switch.

2011-06-10  Zoltan Bojthe

	MACRelayUnit fixes: remove numWirelessPorts, don't send back packet to
	wireless port

	The AP management send back packets to radio

2011-06-09  Rudolf Hornig

	Added support to handle multicast adresses in the Ieee80211 mac layers
	(#339). It behaves exactly like the broadcast address.

	Broadcast is actually a specific case of a multicast address.

2011-06-03  Andras Varga

	cosmetics: space usage made somewhat more consistent throughout the code

	Notes:
	- if you have an INET fork and want to compare the code, use the
	 "Ignore spaces" option of your visual diff tool. Most tools have
	 this option; Meld and Araxis Merge certainly do.

	- I used omnetpp/_scripts/tidymodel/spaces.pl, plus some manual tweaks

2011-05-30  ------ INET-1.99.1 released ------

2011-05-27  Andras Varga

	tab-to-space in all source files

2011-05-26  Zoltan Bojthe

	Renamed IP... classes to IPv4... or IPvX...

2011-05-19  Rudolf Hornig

	Original channel controller modified to work with radios instead of
	hosts. Channel controller extended is removed.

2011-05-17  Rudolf Hornig

	Channel comntrol and ChannelControlExtended is merged and become
	ChannelCOntrolExtended. AirframeExtended is merged into AirFrame

2011-05-11  Rudolf Hornig

	Renamed tpc_inet -> tcp and tcp_base -> tcp_common. TCP Base feature
	renamed to TCP Common

2011-04-28  Rudolf Hornig

	Added Mesh network support to Ieee80211

2011-04-15  Rudolf Hornig

	Added new ieee802.11 model from INETMANET, supporting a,b,g,p modes.

2011-04-08  Rudolf Hornig

	Removed different Ieee802.11 wireless NICs. Only Ieee80211 remained and
	the mgmtType parameter can be used to configure the NIC.

2011-04-07  Rudolf Hornig

	Simplifications in radio Ieee80211module. Added multiradio example.

2011-03-31  Zoltan Bojthe

	change simsignal_t member variables to static member

2011-03-29  Zoltan Bojthe

	featuresupport: add ETHERNET feature

2011-03-08  Rudolf Hornig

	mf80211, ieee80211 and mobility feature

2011-03-03  ------ INET-1.99.0 released ------

2011-03-01  Rudolf Hornig

	Interfaces renamed to start with I.

2011-03-01  Rudolf Hornig

	Module interface renaming.

2011-02-22  Andras Varga

	Swiched NED documentation comments to explicit hyperlinking of NED
	type names, using tilde. Example: "TCP" was changed to "~TCP"
	wherever the module and not the protocol was meant.

	The reason for the switch was that autolinking produced too many
	false hits (e.g. "TCP connection" and "IP address" would link
	to the TCP and IP modules.)

2011-01-10  Zoltan Bojthe

	Code style changes:

	- tab-to-space conversion
	- '{' to new line
	- too long lines
	- remove trailing whitespace from lines
	- indentation

2011-01-05  Zoltan Bojthe

	ieee80211: mgmt AP: reset authentication status, when starting a new
	auth sequence

2010-12-21  Zoltan Bojthe

	ieee80211MgmtSTA: bugfix: drop higher layer frames, when STA is not
	associated

2010-12-20  Zoltan Bojthe

	ieee80211: AgentSTA: add comments: the statistics store enum values.

2010-12-20  Zoltan Bojthe

	ieee80211: AgentSTA: add request/confirm statistics.

2010-12-17  Zoltan Bojthe

	add a missing delete

2010-12-15  Zoltan Bojthe

	code style changes

	add/remove empty lines move "break" to new line

2010-12-09  Zoltan Bojthe

	ieee802.11: using ieee data frame with SNAP

	for transmit original EtherType in 802.11 packet

2010-12-09  Zoltan Bojthe

	Bugfix: Ieee80211MgmtAP: Send broadcast packets, don't drop it

2010-03-05  Andras Varga

	removed redundant (long) conversion from emit() calls

	also: accidental tab-to-space

2010-03-05  Andras Varga

	@statistic: added missing 'vector' recording mode

2010-03-05  Andras Varga

	update for omnet++ 4.1b3:

	renamed @signal to @statistic modeHint= to record=

2010-02-26  Zoltan Bojthe

	convert statistics to use signals

2010-06-24  Zoltan Bojthe

	use signals for statistics recording

2010-06-09  Zoltan Bojthe

	Add isEmpty() functions to IPassiveQueue and its child classes

2010-06-21  Zoltan Bojthe

	indent changes - from Thomas Reschka

2010-02-02  Zoltan Bojthe

	Bugfix: printf "%d" and int64 getByteLength()

2009-07-19  Andras Varga

	added further module @labels (ethernet-node, wireless-node, mpls-node);
	added default icons to several module types

2009-07-17  Levente Meszaros

	Added labels to gates to so that the graphical editor can match them
	when the user creates a connection:

	@labels(EtherFrame); labels(Ieee802Ctrl/up); labels(Ieee802Ctrl/down);
	@labels(TCPCommand/up); @labels(TCPCommand/down);
	@labels(UDPControlInfo/up); @labels(UDPControlInfo/down);
	@labels(Ieee80211Frame);  @labels(IPControlInfo/down);
	@labels(IPControlInfo/up);  @labels(IPDatagram);
	@labels(IPv6ControlInfo/up); @labels(IPv6ControlInfo/down);
	@labels(IPv6Datagram)

2009-03-25  ------ INET-20090325 released ------

2008-07-25  Andras Varga

	* Ieee80211AgentSTA.cc: randomize the start time of the scanning
	process. (Randomizing the time of sending the first beacon in
	Ieee80211MgmtAP.cc was already done earlier.)

======================
2009-01-19  tuexen

	Revert 2127 commit. It included multiple things: - Intended bug fixes. -
	tpdump changes (intended). - configurable MTU (not intended). - Char
	encoding changes (not intended). - Casts (not intended).

	Bug fixes will be committed individually.

	 git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@2129
	539eec35-cc16-0410-b457-356aab9780e1

2008-08-17  Andras Varga

	cPacket patch /2

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@2042
	539eec35-cc16-0410-b457-356aab9780e1

2008-07-25  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@2032
	539eec35-cc16-0410-b457-356aab9780e1

2008-07-25  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@2031
	539eec35-cc16-0410-b457-356aab9780e1

2008-07-02  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1977
	539eec35-cc16-0410-b457-356aab9780e1

2008-06-29  Andras Varga

	made nearly all methods virtual; also several private->protected changes

2008-06-15  Andras Varga

	merge changes from 3.x branch

2008-06-11  Andras Varga

	getter methods in simkernel got prefixed with "get"

2008-05-29  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1839
	539eec35-cc16-0410-b457-356aab9780e1

2008-05-29  Andras Varga

	networkinterfaces/ renamed to linklayer/

2008-05-28  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1836
	539eec35-cc16-0410-b457-356aab9780e1

2008-05-21  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1835
	539eec35-cc16-0410-b457-356aab9780e1

2008-05-16  Andras Varga

	warnings fixed

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1827
	539eec35-cc16-0410-b457-356aab9780e1

2008-05-13  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1825
	539eec35-cc16-0410-b457-356aab9780e1

2008-04-29  rhornig

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1797
	539eec35-cc16-0410-b457-356aab9780e1

2008-04-19  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1796
	539eec35-cc16-0410-b457-356aab9780e1

2008-04-19  Andras Varga

	msg files upgraded

2008-04-19  Andras Varga

	update for 4.0: "throw new" and "double->simtime_t" changes

2008-02-22  Andras Varga

	param = ... @unit(..)  ==>  param @unit(...) = ...

2008-02-22  rhornig

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1773
	539eec35-cc16-0410-b457-356aab9780e1

2008-02-05  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1753
	539eec35-cc16-0410-b457-356aab9780e1

2008-01-30  rhornig

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1748
	539eec35-cc16-0410-b457-356aab9780e1

2008-01-29  rhornig

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1746
	539eec35-cc16-0410-b457-356aab9780e1

2008-01-28  rhornig

	rename

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1708
	539eec35-cc16-0410-b457-356aab9780e1

2008-01-25  dev

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1600
	539eec35-cc16-0410-b457-356aab9780e1

2008-01-01..2009-03-25  Andras Varga, Rudolf Hornig

	Porting of INET to OMNeT++ 4.0, and some general face lift:
	* better directory structure (names changed to lowercase; moved sources
	  under src/; better names, e.g. networkinterfaces -> linklayer)
	* build system to use a deep makefile
	* updated the C++ code for the 4.0 API (follow name changes; use
	  int64-based simtime_t; use cPacket; etc.)
	* NED files converted to 4.0 syntax
	* make use of new features in NED files (module interfaces, inout
	  gates, @unit, etc.)

2007-01-12  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1517
	539eec35-cc16-0410-b457-356aab9780e1

2006-12-08  Andras Varga

	misc....

2006-10-19  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1480
	539eec35-cc16-0410-b457-356aab9780e1

2006-09-11  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1430
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-28..09-05  Michael Tuexen

	misc...

2006-09-02  tuexen

	bitrate switching capability
	etc.

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1372
	539eec35-cc16-0410-b457-356aab9780e1

2006-09-02  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1363
	539eec35-cc16-0410-b457-356aab9780e1

2006-09-01  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1347
	539eec35-cc16-0410-b457-356aab9780e1

2006-09-01  levy

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1344
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-31  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1341
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-31  tuexen

	printNotificationBanner(), etc

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1340
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-31  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1339
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-31  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1338
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-31  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1336
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1335
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1332
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	removed some fields related to unsupported features

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1330
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1329
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1328
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1327
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-30  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1326
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-29  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1325
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-29  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1324
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-29  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1323
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-29  levy

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1322
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-29  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1319
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-28  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1312
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-28  tuexen

	Ieee80211 infrastructure mode, first cut

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1310
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-16  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1309
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-15  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1308
	539eec35-cc16-0410-b457-356aab9780e1

2006-08-15  tuexen

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1307
	539eec35-cc16-0410-b457-356aab9780e1

2006-06-26  Andras Varga

	git-svn-id: file:///home/rhornig/tmp/svn/inet-framework/trunk@1269
	539eec35-cc16-0410-b457-356aab9780e1

2006-06-13  Andras Varga

	Typo in Ieee80211MgmtSTA.ned

2006-05-03..05-17  Andras Varga

	Bulk of the implementation for 802.11 infrastructure mode. Added
	Ieee80211APSimplified, Ieee80211STASimplified, Ieee80211AP,
	Ieee80211STA, and Ieee80211AdHoc. Not really tested yet.

2005-08-04  Andras Varga

	Added placeholder for 802.11 infrastructure mode implementation.

	The 802.11 MAC model (from MF-1.0) that was available in the
	INET Framework at the time only supported ad-hoc mode.

	If you are interested in the early history of the 802.11 mgmt code,
	change to the project root and type

	$ gitk -- NetworkInterfaces/Ieee80211/Mgmt \
	    INET/src/networkinterfaces/ieee80211/mgmt \
	    INET/src/linklayer/ieee80211/mgmt
